package tests;

import org.junit.*;
import static org.junit.Assert.*;
import org.openqa.selenium.*;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.firefox.FirefoxBinary;
import org.openqa.selenium.firefox.FirefoxDriver;
import org.openqa.selenium.firefox.FirefoxProfile;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.Select;
import org.openqa.selenium.support.ui.ExpectedCondition;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.io.File;
import java.util.concurrent.TimeUnit;


public class Devis_Habitation {
	private WebDriver driver;  
	private String baseUrl;
	private boolean acceptNextAlert = true;
	private StringBuffer verificationErrors = new StringBuffer();


	// attente chargement de la page WEB
	/*
	private void waitForLoad(WebDriver driver) {
		ExpectedCondition<Boolean> pageLoadCondition = new
				ExpectedCondition<Boolean>() {
			public Boolean apply(WebDriver driver) {
				return ((JavascriptExecutor)driver).executeScript("return document.readyState").equals("complete");
			}
		};
		WebDriverWait wait = new WebDriverWait(driver, 30);
		wait.until(pageLoadCondition);
	}*/

	@Before
	public void setUp() throws Exception {	

		//driver = new FirefoxDriver(binary,profile);
		System.setProperty("webdriver.chrome.driver", "C:\\Drivers SELENIUM\\chromedriver\\chromedriver.exe");
		driver = new ChromeDriver();
		baseUrl = "http://www.macif.fr";
		driver.manage().timeouts().implicitlyWait(30, TimeUnit.SECONDS);

	}

	@Test
	public void Devis_Habitation_devis() throws Exception {
		if (driver != null) {
			driver.get(baseUrl);
			System.out.println("Titre de la page : " + driver.getTitle());
			assertEquals(driver.getTitle(), "MACIF Assurances, Banque, Sante - Essentiel pour moi");
			driver.findElement(By.xpath("//main[@id='tpl_cibles']/div[2]/div[2]/a/div[2]")).click();
			assertEquals("Devis gratuit Assurance Habitation en ligne - Macif", driver.getTitle());
			driver.findElement(By.cssSelector("a.button.ma_m0auto > span")).click();
			driver.findElement(By.name("usageHabitation")).click();
			driver.findElement(By.cssSelector("span.switcher-libelle.ng-binding")).click();
			driver.findElement(By.name("logementActuel")).click();
			driver.findElement(By.cssSelector("#logementActuel > div.switcher.grid-3-small-3-tiny-1 > label.switch > span.switch-data > span.switcher-libelle.ng-binding")).click();
			driver.findElement(By.name("typeHabitation")).click();
			driver.findElement(By.cssSelector("#typeHabitation > div.switcher.grid-3-small-3-tiny-1 > label.switch > span.switch-data > span.switcher-libelle.ng-binding")).click();
			driver.findElement(By.id("specBatiment")).click();
			Select list_specBatiment = (Select) driver.findElement(By.id("specBatiment"));
			list_specBatiment.selectByVisibleText("Sans specificite");
			driver.findElement(By.name("qualiteOccupant")).click();
			driver.findElement(By.cssSelector("#qualiteOccupant > div.switcher.grid-3-small-3-tiny-1 > label.switch > span.switch-data > span.switcher-libelle.ng-binding")).click();
			driver.findElement(By.xpath("//button[@type='submit']")).click();
		}	

	}



	@After
	public void tearDown() throws Exception {
		driver.quit();
		String verificationErrorString = verificationErrors.toString();
		if (!"".equals(verificationErrorString)) {
			fail(verificationErrorString);
		}
	}

}
