package pageObjects;

import org.openqa.selenium.By;

import org.openqa.selenium.WebDriver;

import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.ui.Select;

import pageObjects.*;
import utils.AbstractTest;

// Classe pour page Devis Assurance Auto
public class Page_Devis_Assurance_Auto extends AbstractTest{

	// Onglet V�hicule
	public static class Onglet_Vehicule extends AbstractTest{		

		public static WebElement Chp_rechercheVehiculeFullText(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.id("rechercheVehiculeFullText"));		
		}

		public static WebElement EltListe_rechercheVehiculeFullText(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.xpath("//form[@id='rechercheVehiculeForm']/div/fieldset/div/vehiculefulltextsearch/div/dropdown/div/div[2]/span/div"));		
		}

		public static WebElement Switcher_AnneeMiseEnCiculation(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.xpath("//form[@id='rechercheVehiculeForm']/div/switcher/div/label/span/span"));		
		}

		public static WebElement Switcher_Usage(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.xpath("//form[@id='rechercheVehiculeForm']/div[2]/switcher/div/label/span/span"));		
		}

		public static WebElement Chp_CommuneStationnement(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.id("commuGarageInput"));		
		}

		public static WebElement EltListe_CommuneStationnement(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.xpath("//form[@id='rechercheVehiculeForm']/div[3]/div/div/dropdown/div/div[3]/span/span/b"));		
		}

		public static WebElement Btn_Suivant(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.xpath("//form[@id='rechercheVehiculeForm']/div[5]/button[2]/span"));		
		}		

	}// Fin Onglet V�hicule

	// Onglet Conducteur
	public static class Onglet_Conducteur extends AbstractTest{	

		public static WebElement Switcher_ConducteurPrincipal(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.xpath("form[@id='conducteurForm']/fieldset/div/switcher/div/label/span"));		
		}

		public static WebElement Chp_DateNaissanceConducteur(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.xpath("//input[@id='conducteur.dtNaissance']"));		
		}

		public static WebElement Chp_DatePermis(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.xpath("//input[@id='conducteur.attestationConduite.dtObtenAttestCond']"));		
		}

		public static WebElement Switcher_ConduiteAccompagnee(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.xpath("//form[@id='conducteurForm']/fieldset/div[4]/switcher/div/label[2]/span"));		
		}

		public static WebElement Switcher_AnnulationSuspensionPermis(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.xpath("//form[@id='conducteurForm']/fieldset/div[5]/switcher/div/label[2]/span"));		
		}

		public static WebElement Switcher_ResiliePrecedentAssureur(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.xpath("//form[@id='conducteurForm']/fieldset/div[6]/switcher/div/label[2]/span/span"));		
		}

		public static WebElement Switcher_AssureSansInterruption(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.xpath("//form[@id='conducteurForm']/fieldset/div[7]/switcher/div/label/span"));		
		}

		public static WebElement Switcher_Sinistres(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.xpath("//form[@id='conducteurForm']/fieldset/div[8]/switcher/div/label[2]/span/span"));		
		}

		public static WebElement Liste_Bonus(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.id("conducteur.cfBonus"));		
		}

		public static Select Elt_Liste_Bonus(WebDriver driver){			
			Select element = null;	
			return element = new Select(driver.findElement(By.id("conducteur.cfBonus")));	
		}

		public static WebElement Switcher_DureeBonus50(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.id("conducteur.cfBonus"));		
		}

		public static WebElement Switcher_DureeBonus50MAX(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.xpath("//form[@id='conducteurForm']/fieldset/div[10]/switcher/div/label[6]/span"));		
		}

		public static WebElement Btn_Suivant(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.cssSelector("button.primary-button.fr.ma_m0auto > span"));		
		}

	}//Fin Onglet Conducteur

	// Onglet Coordonn�es
	public static class Onglet_Coordonnees extends AbstractTest{	
		
		public static WebElement Swicher_Civilite(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.xpath("//form[@id='coordonnee.form']/div/switcher/div/label[2]/span/span[2]"));		
		}
		
		public static WebElement Chp_Nom(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.id("nmPers"));		
		}
		
		public static WebElement Chp_Prenom(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.id("znPrenPers"));		
		}
		
		public static WebElement Chp_CommuneResidence(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.id("commune"));		
		}
		
		public static WebElement Elt_CommuneResidence(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.xpath("//form[@id='coordonnee.form']/div[4]/div/div/dropdown/div/div[3]"));		
		}		
		
		public static WebElement Chp_NumTel(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.id("noTeleLigne"));		
		}
		
		public static WebElement Chp_Email(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.id("znAdrEmail"));		
		}
		
		public static WebElement Liste_SituationFamiliale(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.id("cdSituatFamil"));		
		}		

		public static Select Elt_Liste_SituationFamiliale(WebDriver driver){			
			Select element = null;	
			return element = new Select(driver.findElement(By.id("cdSituatFamil")));		
		}
		
		public static WebElement Liste_Profession(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.id("cdProfPers"));		
		}		
		
		public static Select Elt_Liste_Profession(WebDriver driver){			
			Select element = null;	
			return element = new Select(driver.findElement(By.id("cdProfPers")));		
		}
		
		public static WebElement Switcher_InformationsCommerciales(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.xpath("//form[@id='coordonnee.form']/div[10]/switcher/div/label[2]/span"));		
		}
		
		public static WebElement Btn_Suivant(WebDriver driver){			
			WebElement element = null;	
			return element = driver.findElement(By.cssSelector("button.primary-button.fr.ma_m0auto > span"));		
		}	
		
	}//Fin onglet coordonn�es
	
	// Onglet Onglet proposition tarif�e
		public static class Onglet_PropositionTarifee extends AbstractTest{		

			public static WebElement Lbl_TitreResumeInformations(WebDriver driver){			
				WebElement element = null;	
				return element = driver.findElement(By.xpath("//div[@id='header-tunnel']/div[2]/div/div/div/h3"));		
			}
			
			public static WebElement Info_ConducteurPrincipal(WebDriver driver){			
				WebElement element = null;	
				return element = driver.findElement(By.xpath("//div[@id='header-tunnel']/div[2]/div/div/div/div/div/div[2]"));		
			}
			
			public static WebElement Info_CoefBonusMalus(WebDriver driver){			
				WebElement element = null;	
				return element = driver.findElement(By.xpath("//div[@id='header-tunnel']/div[2]/div/div/div/div/div[2]/div[2]"));		
			}
			
			public static WebElement Info_Vehicule(WebDriver driver){			
				WebElement element = null;	
				return element = driver.findElement(By.xpath("//div[@id='header-tunnel']/div[2]/div/div/div/div/div[3]/div[2]"));		
			}
			
			public static WebElement Info_DatePermis(WebDriver driver){			
				WebElement element = null;	
				return element = driver.findElement(By.xpath("//div[@id='header-tunnel']/div[2]/div/div/div/div[2]/div/div[2]"));		
			}
			
			public static WebElement Info_UsageVehicule(WebDriver driver){			
				WebElement element = null;	
				return element = driver.findElement(By.xpath("//div[@id='header-tunnel']/div[2]/div/div/div/div[2]/div[2]/div[2]"));		
			}
			
			public static WebElement Info_SinistresDeclares(WebDriver driver){			
				WebElement element = null;	
				return element = driver.findElement(By.xpath("//div[@id='header-tunnel']/div[2]/div/div/div/div[2]/div[3]/div[2]"));		
			}
			
			public static WebElement Lbl_ChoixFormule(WebDriver driver){			
				WebElement element = null;	
				return element = driver.findElement(By.cssSelector("h3.choix-formule-titre.ng-scope"));		
			}
			
			public static WebElement Lbl_ChoixFranchise(WebDriver driver){			
				WebElement element = null;	
				return element = driver.findElement(By.cssSelector("div.choix-franchises-panel-title > h3.ng-scope"));		
			}
			
			public static WebElement Lbl_ChoixOptions(WebDriver driver){			
				WebElement element = null;	
				return element = driver.findElement(By.cssSelector("div.choix-options-panel-title > h3"));		
			}
			
			public static WebElement Bloc_PanierRecap(WebDriver driver){			
				WebElement element = null;	
				return element = driver.findElement(By.cssSelector("css=div.panier-recap.ng-scope"));		
			}
			
			public static WebElement Bloc_PanierTarif(WebDriver driver){			
				WebElement element = null;	
				return element = driver.findElement(By.cssSelector("div.panier-tarif.ng-scope"));		
			}
			
			
			
			
			
			public static WebElement Btn_Souscrire(WebDriver driver){			
				WebElement element = null;	
				return element = driver.findElement(By.cssSelector("span.button.ng-scope"));		
			}
			
			public static WebElement Btn_EnregistrerDevis(WebDriver driver){			
				WebElement element = null;	
				return element = driver.findElement(By.cssSelector("span.button.medium-hidden.small-hidden.tiny-hidden.ng-scope"));		
			}
			
			public static WebElement Lbl_Modale_DevisEnregistre(WebDriver driver){			
				WebElement element = null;	
				return element = driver.findElement(By.xpath("//div[@id='modal']/div/h3"));		
			}	
			
			public static WebElement Btn_Modale_OK(WebDriver driver){			
				WebElement element = null;	
				return element = driver.findElement(By.xpath("//div[@id='modal']/div/div[2]/button"));		
			}
			
			public static WebElement Lbl_DetailDevisAuto(WebDriver driver){			
				WebElement element = null;	
				return element = driver.findElement(By.xpath("//div[@id='haut-activite']/h2"));		
			}
			
			public static WebElement Lbl_Reference(WebDriver driver){			
				WebElement element = null;	
				return element = driver.findElement(By.cssSelector("span.deconnexion__id.ma_txt_mineur.ng-binding.ng-scope"));		
			}
			
			public static WebElement Btn_Deconnexion(WebDriver driver){			
				WebElement element = null;	
				return element = driver.findElement(By.cssSelector("span.icon.icon-deconnexion"));		
			}			

			public static WebElement Btn_Modale_Confirmation_Deconnexion(WebDriver driver){			
				WebElement element = null;	
				return element = driver.findElement(By.cssSelector("css=button.flex-item-center.primary-button.second-button.ng-binding"));		
			}
			
			public static WebElement Msg_Deconnexion(WebDriver driver){			
				WebElement element = null;	
				return element = driver.findElement(By.xpath("//div[@id='toasts']/div"));		
			}
			
			


		
			
		}// Fin Onglet proposition tarif�e




}
