package tests;

import org.junit.*;
import static org.junit.Assert.*;

import java.io.File;
import java.util.Collections;
import java.util.concurrent.TimeUnit;
import java.util.logging.Logger;

import org.openqa.selenium.*;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.chrome.ChromeOptions;
import org.openqa.selenium.firefox.FirefoxDriver;
import org.openqa.selenium.firefox.FirefoxBinary;
import org.openqa.selenium.firefox.FirefoxProfile;
import org.openqa.selenium.remote.DesiredCapabilities;
import org.openqa.selenium.JavascriptExecutor;

import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.Select;
import org.openqa.selenium.support.ui.ExpectedCondition;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.util.regex.Pattern;
import static org.hamcrest.CoreMatchers.*;
// import de la classe pour les Page Objects
import pageObjects.*;
// Import de la classe pour la definition du Setup et TearDown commun e tous les scripts
import utils.AbstractTest;

public class Devis_Auto_Non_Connecte extends AbstractTest {	

	@Test
	public void DevisAuto() throws Exception {

		System.out.println("@TEST DevisAuto DEBUT");

		//Controle presence barre d'infos cookies		
		Page_Home.validation_cookies();
		Page_Home.verif_titre_home();

		// Clic sur devis autos
		if (Page_Accueil_Particuliers.Link_DevisAuto(driver).isDisplayed()) {
			Page_Accueil_Particuliers.Link_DevisAuto(driver).click();
			System.out.println("Clic effectue sur devis auto");
			Thread.sleep(2000);			
		}		

		// clic sur poursuivre si affiche
		if (Page_LogIn.Btn_Poursuivre(driver).isDisplayed()) {
			Page_LogIn.Btn_Poursuivre(driver).click();
			System.out.println("Clic effectue sur le bouton Poursuivre");
			Thread.sleep(2000);

			// Formulaire devis - Onglet Vehicule
			System.out.println("Formulaire devis - Onglet Vehicule");
			Page_Devis_Assurance_Auto.Onglet_Vehicule.Chp_rechercheVehiculeFullText(driver).click();
			Page_Devis_Assurance_Auto.Onglet_Vehicule.Chp_rechercheVehiculeFullText(driver).clear();
			Page_Devis_Assurance_Auto.Onglet_Vehicule.Chp_rechercheVehiculeFullText(driver).sendKeys("citroen C3");
			Thread.sleep(3000);
			Page_Devis_Assurance_Auto.Onglet_Vehicule.EltListe_rechercheVehiculeFullText(driver).click();
			Thread.sleep(3000);

			// Formulaire devis - Onglet Vehicule partie 2
			System.out.println("Formulaire devis - Onglet Vehicule partie 2");
			Page_Devis_Assurance_Auto.Onglet_Vehicule.Switcher_AnneeMiseEnCiculation(driver).click();
			Page_Devis_Assurance_Auto.Onglet_Vehicule.Switcher_Usage(driver).click();
			Thread.sleep(3000);
			//Devis_Assurance_Auto.Onglet_Vehicule.Chp_CommuneStationnement(driver).click();
			Page_Devis_Assurance_Auto.Onglet_Vehicule.Chp_CommuneStationnement(driver).clear();
			Page_Devis_Assurance_Auto.Onglet_Vehicule.Chp_CommuneStationnement(driver).sendKeys("79000");
			Page_Devis_Assurance_Auto.Onglet_Vehicule.EltListe_CommuneStationnement(driver).click();
			// clic sur Suivant
			Page_Devis_Assurance_Auto.Onglet_Vehicule.Btn_Suivant(driver).click();
			Thread.sleep(5000);

			// Formulaire devis - Onglet Conducteur
			System.out.println("Formulaire devis - Onglet Conducteur");
			Page_Abstract.waitForLoad(driver);
			//Devis_Assurance_Auto.Onglet_Conducteur.Switcher_ConducteurPrincipal(driver).click();
			Thread.sleep(3000);
			assertEquals("Simulation Assurance Auto - Devis en ligne gratuit - Macif", driver.getTitle());
			//Devis_Assurance_Auto.Onglet_Conducteur.Chp_DateNaissanceConducteur(driver).click();
			Page_Devis_Assurance_Auto.Onglet_Conducteur.Chp_DateNaissanceConducteur(driver).clear();
			Page_Devis_Assurance_Auto.Onglet_Conducteur.Chp_DateNaissanceConducteur(driver).sendKeys("01/01/1980");		 
			Thread.sleep(2000);
			Page_Devis_Assurance_Auto.Onglet_Conducteur.Chp_DatePermis(driver).clear();
			Page_Devis_Assurance_Auto.Onglet_Conducteur.Chp_DatePermis(driver).sendKeys("01/01/2000");		 
			Thread.sleep(5000);		    
			Page_Devis_Assurance_Auto.Onglet_Conducteur.Switcher_ConduiteAccompagnee(driver).click();
			Page_Devis_Assurance_Auto.Onglet_Conducteur.Switcher_AnnulationSuspensionPermis(driver).click();
			Page_Devis_Assurance_Auto.Onglet_Conducteur.Switcher_ResiliePrecedentAssureur(driver).click();
			Page_Devis_Assurance_Auto.Onglet_Conducteur.Switcher_AssureSansInterruption(driver).click();
			Page_Devis_Assurance_Auto.Onglet_Conducteur.Switcher_Sinistres(driver).click();
			Page_Devis_Assurance_Auto.Onglet_Conducteur.Liste_Bonus(driver).click();
			Page_Devis_Assurance_Auto.Onglet_Conducteur.Elt_Liste_Bonus(driver).selectByVisibleText("0,50 soit 50% de bonus");
			Page_Devis_Assurance_Auto.Onglet_Conducteur.Switcher_DureeBonus50(driver).click();
			Page_Devis_Assurance_Auto.Onglet_Conducteur.Switcher_DureeBonus50MAX(driver).click();
			Thread.sleep(2000);
			// clic sur Suivant
			Page_Devis_Assurance_Auto.Onglet_Conducteur.Btn_Suivant(driver).click();		   
			Thread.sleep(5000);

			//Formulaire devis - Onglet Coordonnees
			Page_Abstract.waitForLoad(driver);
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Swicher_Civilite(driver).click();
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Chp_Nom(driver).click();
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Chp_Nom(driver).clear();
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Chp_Nom(driver).sendKeys(Page_Abstract.YourUniqueName());
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Chp_Prenom(driver).click();
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Chp_Prenom(driver).clear();
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Chp_Prenom(driver).sendKeys("patrick");
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Chp_CommuneResidence(driver).click();
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Chp_CommuneResidence(driver).clear();
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Chp_CommuneResidence(driver).sendKeys("79000");
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Elt_CommuneResidence(driver).click();
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Chp_NumTel(driver).click();
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Chp_NumTel(driver).clear();
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Chp_NumTel(driver).sendKeys("06 99 99 99 99");
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Chp_Email(driver).click();
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Chp_Email(driver).clear();
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Chp_Email(driver).sendKeys(Page_Abstract.YourUniqueMail());
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Liste_SituationFamiliale(driver).click();
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Elt_Liste_SituationFamiliale(driver).selectByVisibleText("Celibataire");
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Liste_Profession(driver).click();
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Elt_Liste_Profession(driver).selectByVisibleText("Cadre ou Ingenieur");
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Switcher_InformationsCommerciales(driver).click();
			// Clic sur Suivant
			Page_Devis_Assurance_Auto.Onglet_Coordonnees.Btn_Suivant(driver).click();

			// Onglet proposition tarifee
			Page_Abstract.waitForLoad(driver);
			Thread.sleep(3000);
			assertEquals("Simulation Assurance Auto - Devis en ligne gratuit - Macif", driver.getTitle());
			assertEquals("Resume de vos informations", Page_Devis_Assurance_Auto.Onglet_PropositionTarifee.Lbl_TitreResumeInformations(driver).getText());
			String ConducteurPrincipal = Page_Devis_Assurance_Auto.Onglet_PropositionTarifee.Info_ConducteurPrincipal(driver).getText();
			System.out.println("ConducteurPrincipal : "+ConducteurPrincipal);
			String CoefBonusMalus = Page_Devis_Assurance_Auto.Onglet_PropositionTarifee.Info_CoefBonusMalus(driver).getText();
			System.out.println("CoefBonusMalus : " + CoefBonusMalus);
			String Vehicule = Page_Devis_Assurance_Auto.Onglet_PropositionTarifee.Info_Vehicule(driver).getText();
			System.out.println("Vehicule : "+Vehicule);
			String DatePermis = Page_Devis_Assurance_Auto.Onglet_PropositionTarifee.Info_DatePermis(driver).getText();
			System.out.println("DatePermis : "+DatePermis);
			String UsageVehicule = Page_Devis_Assurance_Auto.Onglet_PropositionTarifee.Info_UsageVehicule(driver).getText();
			System.out.println("UsageVehicule : "+UsageVehicule);
			String SinistresDeclares = Page_Devis_Assurance_Auto.Onglet_PropositionTarifee.Info_SinistresDeclares(driver).getText();
			System.out.println("SinistresDeclares : "+SinistresDeclares);
			assertEquals("Choisissez votre formule", Page_Devis_Assurance_Auto.Onglet_PropositionTarifee.Lbl_ChoixFormule(driver).getText());
			assertEquals("Choisissez votre franchise", Page_Devis_Assurance_Auto.Onglet_PropositionTarifee.Lbl_ChoixFranchise(driver).getText());
			assertEquals("Choisissez vos options", Page_Devis_Assurance_Auto.Onglet_PropositionTarifee.Lbl_ChoixOptions(driver).getText());
			assertTrue(isElementPresent(By.cssSelector("div.panier-recap.ng-scope")));
			assertTrue(isElementPresent(By.cssSelector("div.panier-tarif.ng-scope")));	    
			assertEquals("Souscrire", Page_Devis_Assurance_Auto.Onglet_PropositionTarifee.Btn_Souscrire(driver).getText());
			assertEquals("Enregistrer ce devis", Page_Devis_Assurance_Auto.Onglet_PropositionTarifee.Btn_EnregistrerDevis(driver).getText());
			Page_Devis_Assurance_Auto.Onglet_PropositionTarifee.Btn_EnregistrerDevis(driver).click();	

			assertEquals("Devis enregistre", Page_Devis_Assurance_Auto.Onglet_PropositionTarifee.Lbl_Modale_DevisEnregistre(driver).getText());
			Page_Devis_Assurance_Auto.Onglet_PropositionTarifee.Btn_Modale_OK(driver).click();

			assertEquals("Detail devis Auto", Page_Devis_Assurance_Auto.Onglet_PropositionTarifee.Lbl_Modale_DevisEnregistre(driver).getText());
			assertEquals("Votre reference : 21801023887", Page_Devis_Assurance_Auto.Onglet_PropositionTarifee.Lbl_Reference(driver).getText());

			try {
				assertTrue(Page_Devis_Assurance_Auto.Onglet_PropositionTarifee.Lbl_Reference(driver).getText().matches("^[\\s\\S]Votre reference :*[\\s\\S]*$"));
			} catch (Error e) {
				verificationErrors.append(e.toString());
			}


			Page_Devis_Assurance_Auto.Onglet_PropositionTarifee.Btn_Deconnexion(driver).click();
			Page_Devis_Assurance_Auto.Onglet_PropositionTarifee.Btn_Modale_Confirmation_Deconnexion(driver).click();

			assertEquals("Vous avez ete deconnecte de votre espace assurance", Page_Devis_Assurance_Auto.Onglet_PropositionTarifee.Msg_Deconnexion(driver).getText());


		}
		else
			Assert.fail("Le bouton Poursuivre n'est pas present");

	}

	private boolean isElementPresent(By by) {
		try {
			driver.findElement(by);
			return true;
		} catch (NoSuchElementException e) {
			return false;
		}
	}

}
