// Class pour definir les setUp et TearDown communs aux differents tests.

package utils;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.fail;

import java.io.File;
import java.util.Collections;
import java.util.concurrent.TimeUnit;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.junit.After;
import org.junit.Before;
import org.openqa.selenium.JavascriptExecutor;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.chrome.ChromeOptions;
import org.openqa.selenium.remote.DesiredCapabilities;



public class AbstractTest {
	
	//protected WebDriver driver; 
	protected static WebDriver driver = null;
	protected static String baseUrl = "http://www.macif.fr";
	private boolean acceptNextAlert = true;
	protected StringBuffer verificationErrors = new StringBuffer();
	private static final Logger logger = LogManager.getLogger("AbstractTest");

	@Before
	public void setUp() throws Exception {	

		//driver = new FirefoxDriver(binary,profile);
		System.setProperty("webdriver.chrome.driver", "C:\\Drivers SELENIUM\\chromedriver\\chromedriver.exe");		
		ChromeOptions options = new ChromeOptions();
		options.addArguments("disable-infobars");
		options.addArguments("-incognito");
		options.addArguments("start-maximized");
		options.addArguments("--ignore-certificate-errors");
		DesiredCapabilities capabilities = DesiredCapabilities.chrome();    
		capabilities.setCapability(ChromeOptions.CAPABILITY, options);
		driver = new ChromeDriver(capabilities);

		driver.manage().timeouts().implicitlyWait(30, TimeUnit.SECONDS);
		
		// Acces e la page d'accueil du site
		driver.get(baseUrl);
		assertEquals(driver.getTitle(), "MACIF Assurances, Banque, Sante - Essentiel pour moi");
	
	}

	@After
	public void tearDown() throws Exception {
		//driver.quit();
		String verificationErrorString = verificationErrors.toString();
		if (!"".equals(verificationErrorString)) {
			fail(verificationErrorString);
		}
	}


}
